Bug 97028

Summary: XWM no controls or menus
Product: XQuartz Reporter: spetry
Component: quartz-wmAssignee: Jeremy Huddleston Sequoia <jeremyhu>
Status: RESOLVED MOVED QA Contact: Jeremy Huddleston Sequoia <jeremyhu>
Severity: major    
Priority: medium    
Version: 2.7.9 (xserver-1.17.4)   
Hardware: x86-64 (AMD64)   
OS: Mac OS X (All)   
Whiteboard:
i915 platform: i915 features:

Description spetry 2016-07-21 17:49:19 UTC
I recently updated from Yosemite to ElCapitan and XQuarts 2.7.8 to 2.7.9.

I lost the ability to move windows (standard terminals like xterm, gnome-term, konsole.  Windows often crash when the bar is grabbed to move the window.  Menus on these windows are mostly invisible/non-selectable.  Occasionally if I open settings I will have some menu items for a short time, but this may last a few minutes.

XQuartz does not report any errors when launching applications, nor are errors reported when windows crash.
Comment 1 Jeremy Huddleston Sequoia 2016-09-18 22:52:08 UTC
There's not really much to go on here.  So there's nothing reported to stdout/stderr of the application that is seeing its windows closed?  Nothing reported to syslog?  Nothing reported to ~/Library/Logs/X11/*?

Can you be a bit more specific about how to reproduce the issues?

Is it still an issue in 2.7.10_rc2?
Comment 2 GitLab Migration User 2019-05-23 18:18:16 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/app/quartz-wm/issues/2.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.